#include <cstdio>

#include "TFile.h"

#include "TH2D.h"

#include "TRandom.h"

int main() {
	TFile* file = TFile::Open("GDBTest.root", "RECREATE");
	if(file == 0) {
		printf("Failed to open file\n");
		return -1;
	}

	printf("A\n");

	TH2D* test_hist = new TH2D("test_hist", "test_hist", 20, -10, 10, 20, -10, 10);

	printf("B\n");
	TRandom* R = new TRandom();
	printf("C\n");

	for(int i=0;i<30;++i) {
		test_hist->Fill(R->Gaus(0, 5), R->Gaus(0,5));
	}
	printf("D\n");

	file->Write();
	file->Close();
	return 0;
}
